..
  SPDX-License-Identifier: BSD-3-Clause
  Copyright Contributors to the OpenEXR Project.

Sphere3
#######

.. code-block::

   #include <Imath/ImathSphere.h>
   
The ``Sphere3`` class template represents a sphere in 3D space, with
predefined typedefs for lines of type ``float`` and ``double``.

Example:

.. literalinclude:: ../examples/Sphere3.cpp
   :language: c++
              
.. doxygentypedef:: Sphere3f

.. doxygenclass:: Imath::Sphere3
   :undoc-members:
   :members:
